//-----------------------------------------------------------------------------
/*
    CGroup.h - Author: Marcus Krner - 2003 - This source is GPL
    groupfile for tiles, used for ground and detail
*/

#ifndef CGROUP_H_
#define CGROUP_H_

#include <iostream>
#include <string>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

using namespace std;

//-----------------------------------------------------------------------------
class CGroup
{
public:
    CGroup();
    ~CGroup();

    void init( string name, SDL_Surface *tiles, int number, int width, int height );

    SDL_Surface* getTiles(){ return m_pTiles; };

    string getName(){ return m_strName; };

    int getNumber(){ return m_iNumber; };
    int getWidth(){ return m_iWidth; };
    int getHeight(){ return m_iHeight; };

private:
    SDL_Surface* m_pTiles;
    string m_strName;
    int m_iNumber;
    int m_iWidth, m_iHeight;
};

#endif
