//-----------------------------------------------------------------------------
/*
    CSimpleFont.h - Author: Marcus Krner - 2003 - This source is GPL
    simple font class
*/

#ifndef CSIMPLEFONT_H
#define CSIMPLEFONT_H

#include <iostream>
#include <string>

#include "CSDL.h"

//-----------------------------------------------------------------------------
/*
    class CSimpleFont
*/
class CSimpleFont
{
public: 
    CSimpleFont();
    ~CSimpleFont();

    void init( std::string fontfile, CSDL* sdlFrame );
    void putString( std::string text, int x, int y );
    void putChar( char c, int x, int y );
    void setColor( Uint32 color );

private:
    CSDL *m_pSDLFrame;
    SDL_Surface *m_pFont;

    int m_iCharWidth;
        
};


#endif
