/*
    attack.h - Author: Marcus Krner - 2003 - This source is GPL
    class for attacks
*/

#ifndef ATTACK_H
#define ATTACK_H

#include <SDL/SDL.h>
#include "../globals.h"

class Attack
{
public:
  Attack();
  Attack( SDL_Surface *menuPic );
  ~Attack();
  void setPrev( Attack *prev );
  void setNext( Attack *next );
  Attack *getPrev(){ return m_pPrev; };
  Attack *getNext(){ return m_pNext; };
  SDL_Surface *getMenuPic(){ return m_pMenuPic; };
private:
  SDL_Surface *m_pMenuPic;
  Attack *m_pPrev, *m_pNext;
};
#endif

