//-----------------------------------------------------------------------------
/*
    CEnvironment.h - Author: Marcus Krner - 2003 - This source is GPL
    class for environment like trees, big rocks etc. extends CEntity
*/

#ifndef CENVIRONMENT_H_
#define CENVIRONMENT_H_

#include <string>
#include <SDL/SDL.h>

#include "../CSDL.h"
#include "CEntity.h"

using namespace std;

//-----------------------------------------------------------------------------
/*
    class CEnvironment
*/
class CEnvironment : public CEntity
{
public:
    CEnvironment( SDL_Surface *sprite, int ID, int width, int height, int tileSize );
    ~CEnvironment();

    CEntity* clone(){ return new CEnvironment( (*this) ); };

    void draw( CSDL *sdlFrame, int x, int y );
    void drawSelection( CSDL* sdlFrame, int x, int y );
};

#endif
