//-----------------------------------------------------------------------------
/*
    menu.h - Author: Marcus Krner - 2003 - This source is GPL
    class for the ingamemenu
*/

#ifndef MENU_H
#define MENU_H

#include <SDL/SDL.h>
#include <string>
#include <fstream>
#include <iostream>
#include "CSDL.h"
#include "CSimpleFont.h"
#include "chars/char.h"
#include "attacks/attack.h"

class Menu
{
public: 
  Menu( CSimpleFont *font );
  ~Menu();
  void loadMenu( std::string menuConfig, CSDL *sdlFrame );
  void draw( CSDL *sdlFrame );
  void idle( Char *c );
private:
  CSimpleFont *m_pFont;
  Char *m_pSelectedChar;
  SDL_Surface *m_pMenubar, *m_pEssence, *m_pEnergy;
  int m_iMenubarX, m_iMenubarY, m_iEssenceX, m_iEssenceY, m_iEnergyX, m_iEnergyY;
};

#endif
