/*
    simplechar.h - Author: Marcus Krner - 2003 - This source is GPL
    simplechar class
*/

#ifndef SIMPLECHAR_H
#define SIMPLECHAR_H

#include <SDL/SDL.h>
#include <string>
#include "../CSDL.h"
#include "char.h"

class SimpleChar : public Char
{
public:
  SimpleChar( CSDL* sdlFrame, std::string spritefile, int width, int height, float x, float y, float speed, float animspeed );
  ~SimpleChar();
  void idle( unsigned long frameTime );
  void draw( CSDL *sdlFrame,int x, int y );
  void drawSelection( CSDL *sdlFrame, int x, int y );
private:
};

#endif
